🚀 Introducing Agent Gateway — governance, observability, and control for your AI agents.  Register for live webinar ↗
curl https://api.portkey.ai/v1/fine_tuning/jobs/ft-AF1WoRqd3aJAHsqc9NY7iL8F \
-H "x-portkey-api-key: $PORTKEY_API_KEY" \
-H "x-portkey-virtual-key: $PORTKEY_PROVIDER_VIRTUAL_KEY"{
"id": "<string>",
"created_at": 123,
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>"
},
"fine_tuned_model": "<string>",
"finished_at": 123,
"hyperparameters": {
"n_epochs": "auto"
},
"model": "<string>",
"object": "fine_tuning.job",
"organization_id": "<string>",
"result_files": [
"file-abc123"
],
"status": "validating_files",
"trained_tokens": 123,
"training_file": "<string>",
"validation_file": "<string>",
"seed": 123,
"integrations": [
{
"type": "wandb",
"wandb": {
"project": "my-wandb-project",
"name": "<string>",
"entity": "<string>",
"tags": [
"custom-tag"
]
}
}
],
"estimated_finish": 123
}curl https://api.portkey.ai/v1/fine_tuning/jobs/ft-AF1WoRqd3aJAHsqc9NY7iL8F \
-H "x-portkey-api-key: $PORTKEY_API_KEY" \
-H "x-portkey-virtual-key: $PORTKEY_PROVIDER_VIRTUAL_KEY"{
"id": "<string>",
"created_at": 123,
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>"
},
"fine_tuned_model": "<string>",
"finished_at": 123,
"hyperparameters": {
"n_epochs": "auto"
},
"model": "<string>",
"object": "fine_tuning.job",
"organization_id": "<string>",
"result_files": [
"file-abc123"
],
"status": "validating_files",
"trained_tokens": 123,
"training_file": "<string>",
"validation_file": "<string>",
"seed": 123,
"integrations": [
{
"type": "wandb",
"wandb": {
"project": "my-wandb-project",
"name": "<string>",
"entity": "<string>",
"tags": [
"custom-tag"
]
}
}
],
"estimated_finish": 123
}The ID of the fine-tuning job.
"ft-AF1WoRqd3aJAHsqc9NY7iL8F"
OK
The fine_tuning.job object represents a fine-tuning job that has been created through the API.
The object identifier, which can be referenced in the API endpoints.
The Unix timestamp (in seconds) for when the fine-tuning job was created.
For fine-tuning jobs that have failed, this will contain more information on the cause of the failure.
Show child attributes
The name of the fine-tuned model that is being created. The value will be null if the fine-tuning job is still running.
The Unix timestamp (in seconds) for when the fine-tuning job was finished. The value will be null if the fine-tuning job is still running.
The hyperparameters used for the fine-tuning job. See the fine-tuning guide for more details.
Show child attributes
The base model that is being fine-tuned.
The object type, which is always "fine_tuning.job".
fine_tuning.job The organization that owns the fine-tuning job.
The current status of the fine-tuning job, which can be either validating_files, queued, running, succeeded, failed, or cancelled.
validating_files, queued, running, succeeded, failed, cancelled The total number of billable tokens processed by this fine-tuning job. The value will be null if the fine-tuning job is still running.
The seed used for the fine-tuning job.
A list of integrations to enable for this fine-tuning job.
5Show child attributes
The Unix timestamp (in seconds) for when the fine-tuning job is estimated to finish. The value will be null if the fine-tuning job is not running.
Was this page helpful?